using System;
using UnityEngine;

namespace Cryville.Common.Unity {
	static class CallHelper {
		public static bool HasFlag(this Enum obj, Enum flag) {
			ulong num = Convert.ToUInt64(flag);
			ulong num2 = Convert.ToUInt64(obj);
			return (num2 & num) == num;
		}

		public static void Purge(Transform obj) {
			foreach (Transform i in obj)
				GameObject.Destroy(i.gameObject);
		}

		/*public static void DownloadAndUnzip(string url, FileInfo file) {
			using (DownloadDialog d = new DownloadDialog()) {
				d.Download(url, file);
			}
			using (ZipFile z = new ZipFile(file.FullName)) {
				z.ExtractAll(file.DirectoryName, ExtractExistingFileAction.OverwriteSilently);
			}
		}*/
	}
}
